from opencompass.models import HuggingFaceCausalLM

_meta_template = dict(
    round=[
        dict(role='HUMAN', begin='### Human: ', end='\n'),
        dict(role='BOT', begin='### Assistant: ', end='</s>', generate=True),
    ],
    eos_token_id=100007,
)

models = [
    dict(
        type=HuggingFaceCausalLM,
        abbr='aquilachat2-34b-hf',
        path="BAAI/AquilaChat2-34B",
        tokenizer_path='BAAI/AquilaChat2-34B',
        model_kwargs=dict(
            device_map='auto',
            trust_remote_code=True,
        ),
        tokenizer_kwargs=dict(
            padding_side='left',
            truncation_side='left',
            trust_remote_code=True,
            use_fast=False,
        ),
        meta_template=_meta_template,
        max_out_len=100,
        max_seq_len=2048,
        batch_size=8,
        run_cfg=dict(num_gpus=2, num_procs=1),
    )
]
